--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: maximum
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: required
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: at_least
- !ruby/object:RI::MethodSummary 
  name: at_most
- !ruby/object:RI::MethodSummary 
  name: exactly
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: times
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: INFINITY
  value: 1 / 0.0
full_name: Mocha::Cardinality
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: allowed_any_number_of_times?
- !ruby/object:RI::MethodSummary 
  name: infinite?
- !ruby/object:RI::MethodSummary 
  name: invocations_allowed?
- !ruby/object:RI::MethodSummary 
  name: mocha_inspect
- !ruby/object:RI::MethodSummary 
  name: needs_verifying?
- !ruby/object:RI::MethodSummary 
  name: satisfied?
- !ruby/object:RI::MethodSummary 
  name: times
- !ruby/object:RI::MethodSummary 
  name: used?
- !ruby/object:RI::MethodSummary 
  name: verified?
name: Cardinality
superclass: Object
